package test;

import java.util.logging.Level;
import java.util.logging.Logger;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.jws.WebService;

@Stateless
@WebService(endpointInterface = "test.MyWs")
public class MyWsBean implements MyWs {

   private static final Logger LOG = Logger.getLogger(MyWsBean.class.getName());

   @EJB
   private MyDb myDb;

   public void callMe(final long value) {
      LOG.warning("Call: " + value);
      try {
         myDb.insert(value);
      } catch (Exception e) {
         LOG.log(Level.WARNING, "Failed to insert " + value, e);
      }
   }
}
