package test;

import java.util.UUID;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Transient;

@Entity
public class Value {

   @Id
   private String id;

   @Transient
   private transient UUID uuid;

   @Column(nullable = false)
   private long value;

   protected Value() {
      this.uuid = UUID.randomUUID();
      this.id = uuid.toString();
   }

   public Value(final long value) {
      this();
      setValue(value);
   }

   public void setValue(final long value) {
      this.value = value;
   }

   public long getValue() {
      return value;
   }

   public String getId() {
      return id;
   }

   public UUID getUuid() {
      if (this.uuid == null && this.id != null) {
         this.uuid = UUID.fromString(this.id);
      }
      return this.uuid;
   }
}
